<template>
  <div class="Contenidos">
      <div v-for="nota in notas" :key="nota.notaId" class="card text-center mt-4" >
        <div class="card-header">
        usuario: {{ nota.notaUser }}
        </div>
        <div class="card-body">
          <h5 class="card-title">{{ nota.notaContent }}</h5>
          <button type="button" @click="handleEliminarContenido(nota.notaId)" class="btn btn-primary">Eliminar</button>
        </div>
      </div>
  </div>
</template>
<script>

export default {
  name: "NotasContenido",
  props: [ 'notasColeccion' ],
  data (){
    return {
      notas: []
    }
  },
  methods: {
       handleBuscarContenido: function () {
         this.notasColeccion.orderBy("timestamp", "desc").onSnapshot((listado) => {
             var notas = [];
             listado.forEach(function (objeto) {
                 var nota = objeto.data();
                 notas.push({
                     notaId: objeto.id,
                     notaContent: nota.notaContent,
                     notaUser: nota.notaUser
                 })
             });
             //notas.reverse();
             this.notas = notas;
         });
      },
      handleEliminarContenido:  function (notaId){
        this.notasColeccion.doc(notaId).delete();
      }
  },
  created() {
    let self=this;
    self.handleBuscarContenido();
    //console.log('Component has been created!');
  }
}
</script>
